commit:     db857f4883a16831bdc33feb904853c70ed7b92d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 22 12:23:18 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Sep 22 14:09:44 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db857f48

dev-ml/uunf: bump to 15.1.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-ml/uunf/Manifest           |  1 +
 dev-ml/uunf/uunf-15.1.0.ebuild | 38 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+)

diff --git a/dev-ml/uunf/Manifest b/dev-ml/uunf/Manifest
index 9d993c6d7ac2..ccf497d91079 100644
--- a/dev-ml/uunf/Manifest
+++ b/dev-ml/uunf/Manifest
@@ -1 +1,2 @@
 DIST uunf-15.0.0.tbz 42418 BLAKE2B 
add1dda2f6af07ccaec26d9715eddf31dc398f0cdae85eec0297bcbcd9f5e23f59846813d96e554d88b18096c9419490265c061bf5835a4b67daacf3938c2876
 SHA512 
204d923d4e8d910318180c15087fe53d98d8ec0a8d3c3f6c54219e5e09ee5c5bdf57585e5570d895f8d90647c4eeaa45d9e6e75d58edeb9febee053e0dd47fbc
+DIST uunf-15.1.0.tbz 43837 BLAKE2B 
1af584fd25f1a1c0f15ba999ab11f155c607fdb54b208094d5586a274b54a823dab94a655ae0d80f6f75b90e1ef42d36295dc03dfb82d4c91fd9b6230689cb11
 SHA512 
1df1edbcb37da80e6d96eedd5e01c43c81275eca727a53d91a777d01f30cf0b964968c7be1d943e574e40ad4acb75c86e42976b3048dacb2c798b38475d0a6d0

diff --git a/dev-ml/uunf/uunf-15.1.0.ebuild b/dev-ml/uunf/uunf-15.1.0.ebuild
new file mode 100644
index 000000000000..eb1030f21bad
--- /dev/null
+++ b/dev-ml/uunf/uunf-15.1.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit opam
+
+DESCRIPTION="Unicode text normalization"
+HOMEPAGE="https://erratique.ch/software/uunf https://github.com/dbuenzli/uunf";
+SRC_URI="https://erratique.ch/software/uunf/releases/${P}.tbz";
+
+LICENSE="ISC"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="
+       dev-ml/topkg:=
+       dev-ml/uutf:=
+       dev-ml/cmdliner:=
+"
+RDEPEND="
+       ${DEPEND}
+"
+BDEPEND="
+       dev-ml/findlib
+"
+
+OPAM_FILE="opam"
+
+src_compile() {
+       # Increase stack limit to 11GiB to avoid stack overflow error.
+       # bug #798270
+       ulimit -s 11530000
+
+       ocaml pkg/pkg.ml build \
+               || die "failed to run the pkg/pkg.ml ocaml compilation script"
+}

Reply via email to